Page MenuHomePhabricator

type_acton index in logging table is lingering in production
Closed, ResolvedPublic

Description

As part of T51199: Add index log_type_action, type_acton index on logging table should have been renamed to log_type_action in production and it's mostly done except:

	    "logging type_action index-mismatch-prod-extra": {
	        "s10": [
	            "db1133.eqiad.wmnet"
	        ],
	        "s6": [
	            "db1131.eqiad.wmnet",
	            "db1088.eqiad.wmnet",
	            "db1085.eqiad.wmnet",
	            "db1093.eqiad.wmnet",
	            "db1096.eqiad.wmnet",
	            "db1113.eqiad.wmnet",
	            "db1098.eqiad.wmnet"
	        ],
	        "s7": [
	            "db1086.eqiad.wmnet",
	            "db1079.eqiad.wmnet",
	            "db1098.eqiad.wmnet",
	            "db1136.eqiad.wmnet",
	            "db1090.eqiad.wmnet",
	            "db1101.eqiad.wmnet",
	            "db1094.eqiad.wmnet"
	        ],
	        "s8": [
	            "db1109.eqiad.wmnet",
	            "db1101.eqiad.wmnet",
	            "db1126.eqiad.wmnet",
	            "db1111.eqiad.wmnet",
	            "db1099.eqiad.wmnet",
	            "db1087.eqiad.wmnet",
	            "db1092.eqiad.wmnet",
	            "db1104.eqiad.wmnet"
	        ]
	    },

(Please check the target index exists before dropping)

Progress

  • labswiki
  • labtestwiki
  • s6
    • eqiad
    • codfw
  • s7
    • eqiad
    • codfw
  • s8
    • eqiad
    • codfw

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 13 2020, 9:10 AM

Mentioned in SAL (#wikimedia-operations) [2020-04-15T06:42:30Z] <marostegui> Deploy schema change on labswiki - T250057

Mentioned in SAL (#wikimedia-operations) [2020-04-15T06:43:54Z] <marostegui> Deploy schema change on labtestwiki - T250057

Marostegui triaged this task as Medium priority.Apr 15 2020, 6:44 AM
Marostegui updated the task description. (Show Details)
Marostegui moved this task from Triage to Next on the DBA board.

Mentioned in SAL (#wikimedia-operations) [2020-04-15T06:47:52Z] <marostegui> Deploy schema change on s6 codfw with replication - T250057

Marostegui updated the task description. (Show Details)Apr 15 2020, 6:48 AM
Marostegui added a comment.EditedApr 15 2020, 6:52 AM

s6 eqiad

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1005
  • db1139
  • db1131
  • db1125
  • db1113
  • db1098
  • db1096
  • db1093
  • db1088
  • db1085
Marostegui updated the task description. (Show Details)Apr 15 2020, 7:44 AM

Mentioned in SAL (#wikimedia-operations) [2020-04-15T07:59:22Z] <marostegui> Deploy schema change on s7 codfw master - T250057

Marostegui updated the task description. (Show Details)
Marostegui added a comment.EditedApr 15 2020, 8:27 AM

s7 eqiad

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1003
  • db1136
  • db1125
  • db1116
  • db1101
  • db1098
  • db1094
  • db1090
  • db1086
  • db1079
Marostegui updated the task description. (Show Details)Apr 15 2020, 8:37 AM
Marostegui moved this task from Next to In progress on the DBA board.

Mentioned in SAL (#wikimedia-operations) [2020-04-15T10:57:27Z] <marostegui> Deploy schema change on s8 codfw master - T250057

Marostegui updated the task description. (Show Details)Apr 15 2020, 10:57 AM
Marostegui added a comment.EditedApr 15 2020, 11:00 AM

s8 eqiad

  • labsdb1012
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1005
  • db1126
  • db1124
  • db1116
  • db1114
  • db1111
  • db1109
  • db1104
  • db1101
  • db1099
  • db1092
  • db1087
Marostegui closed this task as Resolved.Apr 15 2020, 11:06 AM
Marostegui updated the task description. (Show Details)

This is all fixed